org.jfree.chart.axis

## Class DateTickUnitType

- java.lang.Object
- - org.jfree.chart.axis.DateTickUnitType

All Implemented Interfaces:
  java.io.Serializable

    public class DateTickUnitType
    extends java.lang.Object
    implements java.io.Serializable

An enumeration of the unit types for a `DateTickUnit` instance.

Since:
  1.0.13
See Also:
  Serialized Form

### Field Summary

Fields
`static DateTickUnitType` `DAY` Day.
`static DateTickUnitType` `HOUR` Hour.
`static DateTickUnitType` `MILLISECOND` Millisecond.
`static DateTickUnitType` `MINUTE` Minute.
`static DateTickUnitType` `MONTH` Month.
`static DateTickUnitType` `SECOND` Second.
`static DateTickUnitType` `YEAR` Year.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `getCalendarField()` Returns the calendar field.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### YEAR

    public static final DateTickUnitType YEAR

Year.

#### MONTH

    public static final DateTickUnitType MONTH

Month.

#### DAY

    public static final DateTickUnitType DAY

Day.

#### HOUR

    public static final DateTickUnitType HOUR

Hour.

#### MINUTE

    public static final DateTickUnitType MINUTE

Minute.

#### SECOND

    public static final DateTickUnitType SECOND

Second.

#### MILLISECOND

    public static final DateTickUnitType MILLISECOND

Millisecond.

### Method Detail

#### getCalendarField

    public int getCalendarField()

Returns the calendar field.

Returns:
  The calendar field.

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the other object.
Returns:
  A boolean.